Bug 100493 - xemacs w/ krb5-workstation package breaks xemacs package downloading
xemacs w/ krb5-workstation package breaks xemacs package downloading
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-07-22 17:55 EDT by Bob Farmer
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-23 02:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Farmer 2003-07-22 17:55:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
When the krb5-workstation package is installed, the package downloading
functionality is broken in xemacs.  I'm assuming this is because it uses
/usr/kerberos/bin/ftp instead of the normal FTP client...

This can be tested by going into xemacs, and going to the Tools->Packages->Add
Download Site menu, selecting a download site, then trying to use
Tools->Packages->List and Install.

With krb5-workstation installed, the FTP connection attempt will fail.
Without it, things work fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install xemacs package if needed.
2. Install krb5-workstation package if needed.
3. Try to "Add Download Site", then "List and Install" inside xemacs (more
details in description).

Actual Results:  The FTP connection attempt failed.

Expected Results:  The FTP connection attempt should have succeeded.

Additional info:
Comment 1 Jens Petersen 2003-07-22 22:49:02 EDT
Doesn't your "/usr/share/xemacs/site-packages/lisp/site-start.el" include:

  ;; default to non-kerberos ftp
  (setq efs-ftp-program-name "/usr/bin/ftp")

Comment 2 Bob Farmer 2003-07-23 01:49:39 EDT
I looked at an "installed from scratch" RedHat 9 system just now and you're
right, that line is in the xemacs config, and the FTP seems to work regardless
of whether krb5-workstation is installed or not.

With the particular system I reported this on, it was the case that it worked as
soon as the krb5-workstation package was removed...  That system must have had
some xemacs-related configuration modifications done to it (or perhaps something
in the ~/.xemacs files).  As I mentioned, I can't reproduce on a fresh RH9
system, so might as well close the bug.  Sorry.
Comment 3 Jens Petersen 2003-07-23 02:09:10 EDT
Ok, thanks.

Note You need to log in before you can comment on or make changes to this bug.